<div class="bg-white ">
    <div class="relative w-full">
        <div class="relative swiper multiple-slide-carousel swiper-container">
            <div class=" swiper-wrapper">
                @foreach ($category as $categories)
                <div class="swiper-slide">
                    <a href="{{ url('shop') }}?category={{ $categories->name }}">
                        <div class="flex flex-col p-4 hover:shadow-xl">
                            <img class="object-contain p-4 bg-white h-60" src="{{asset($categories->image)}}" alt="">
                            <div class="flex items-center justify-between">
                                <h1 class="text-xs">{{$categories->name}}</h1>
                            </div>
                        </div>
                    </a>
                </div>
                @endforeach
            </div>

            <!-- Left Arrow -->
            <div class="absolute left-0 z-10 transform -translate-y-1/2 top-1/2">
                <div class="flex flex-col items-center justify-center gap-4">
                    <button id="slider-button-left" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                        <i class='bx bx-left-arrow-alt'></i>
                    </button>
                </div>
            </div>

            <!-- Right Arrow -->
            <div class="absolute right-0 z-10 transform -translate-y-1/2 top-1/2">
                <button id="slider-button-right" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                    <i class='bx bx-right-arrow-alt'></i>
                </button>
            </div>

        </div>
    </div>
</div>