<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="bg-gray-100">
    <div class="container max-w-screen-lg px-4 py-8 mx-auto">
        <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">Create Your Account</h1>

        <div class="flex flex-col justify-between col-span-2 bg-white md:flex-row rounded-3xl">

            <form method="POST" action="<?php echo e(route('register.submit')); ?>">
                <?php echo csrf_field(); ?>
                <div class="flex flex-col justify-center p-8 space-y-4 text-sm">
                    <h1 class="pb-8 text-lg font-bold text-black">Get started with your online orders, track prescriptions, and enjoy exclusive discounts.</h1>
                    <div>
                        <label for="name">Full Name</label>
                        <input type="text" id="name" name="name" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" placeholder="Enter your full name" value="<?php echo e(old('name')); ?>">
                        <?php $__errorArgs = ['name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                    </div>
                    <div class="grid grid-cols-1 gap-4 md:grid-cols-2">
                        <div>
                            <label for="email">Email Address</label>
                            <input type="email" id="email" name="email" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" placeholder="Enter a valid email address" value="<?php echo e(old('email')); ?>">
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <label for="contact_number">Mobile Number</label>
                            <input type="number" id="contact_number" name="contact_number" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" placeholder="Enter your mobile number" value="<?php echo e(old('contact_number')); ?>">
                            <?php $__errorArgs = ['contact_number'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <label for="password">Password</label>
                            <input type="password" id="password" name="password" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" placeholder="Enter a strong password">
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <label for="confirm_password">Confirm Password</label>
                            <input type="password" id="confirm_password" name="password_confirmation" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" placeholder="Re-enter your password">
                        </div>

                        <div>
                            <label for="birthday">Birthday</label>
                            <input type="date" id="birthday" name="birthday" class="border border-[#cf000f] w-full rounded-full text-sm  p-2" value="<?php echo e(old('birthday')); ?>">
                            <?php $__errorArgs = ['birthday'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>

                        <div>
                            <label for="gender">Gender</label>
                            <div class="flex flex-wrap items-center col-span-2 gap-4">
                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender" name="gender" value="Male" class="rounded-full border border-[#cf000f]" <?php echo e(old('gender') == 'Male' ? 'checked' : ''); ?>>
                                    <label for="gender">Male</label>
                                </div>

                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender" name="gender" value="Female" class="rounded-full border border-[#cf000f]" <?php echo e(old('gender') == 'Female' ? 'checked' : ''); ?>>
                                    <label for="gender">Female</label>
                                </div>

                                <div class="flex items-center space-x-2">
                                    <input type="radio" id="gender" name="gender" value="Other" class="rounded-full border border-[#cf000f]" <?php echo e(old('gender') == 'Other' ? 'checked' : ''); ?>>
                                    <label for="gender">Other</label>
                                </div>
                            </div>
                            <?php $__errorArgs = ['gender'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?><span class="text-sm text-red-500"><?php echo e($message); ?></span><?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>

                    <div class="flex items-start space-x-2">
                        <input id="checkbox-table-search-1" type="checkbox" class="w-4 h-4 text-blue-600 bg-white border-black rounded" required>
                        <label for="checkbox-table-search-1" class="text-sm text-black">I agree to the <span class="font-bold text-[#cf000f]">Terms of Service</span> and <span class="font-bold text-[#cf000f]">Privacy Policy</span></label>
                    </div>

                    <div>
                        <button type="submit" class="bg-[#cf000f] text-white w-full rounded-full py-3 text-md">Create Account</button>
                    </div>

                    <div class="text-center text-gray-500 ">
                        Already have an account? <a href="<?php echo e(url('login')); ?>"><span class="font-bold text-[#cf000f]">Login</span></a>
                    </div>
                </div>
            </form>

            <div>
                <img class="object-cover w-full h-full" src="<?php echo e(asset('images/img-overlay.png')); ?>" alt="">
            </div>
        </div>
    </div>
</div>


<?php if(session()->has('success')): ?>
<div id="loginModal" class="fixed inset-0 flex items-center justify-center bg-gray-800 bg-opacity-50">
    <div class="w-full p-8 space-y-4 bg-white lg:w-1/3 rounded-3xl">
        <div class="flex justify-center">
            <img src="<?php echo e(asset('images/shop/icon-check.png')); ?>" alt="">
        </div>
        <p class="mb-4 text-xl text-center"><?php echo e(session('success')); ?></p>
        <p class="mb-4 text-center text-gray-400">You can now login with your account.</p>
        <div>
            <a href="<?php echo e(route('login')); ?>" class="bg-[#cf000f] text-white w-full rounded-full py-2 text-center block">Proceed to Login</a>
        </div>
    </div>
</div>
<?php endif; ?>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/register.blade.php ENDPATH**/ ?>