<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <div>
            <h1 class="text-[#cf000f] text-xl font-semibold py-4">Profile Summary</h1>
            <form action="<?php echo e(route('user_profile.update_password')); ?>" method="POST">
                <?php echo csrf_field(); ?>
                <div class="grid grid-cols-1 p-4 space-y-8 bg-white rounded-md md:grid-cols-3 ">
                    <div class="space-y-8 md:col-span-2">
                        <h1 class="font-bold">For your security, make sure to choose a strong password that you haven't used before.</h1>

                        <div class="grid items-center grid-cols-1 gap-4 md:grid-cols-3">
                            <div class="md:text-end">
                                Current Password
                            </div>
                            <div class="md:col-span-2">
                                <input type="password" name="current_password" class="w-full rounded-full border border-[#cf000f]  p-2" placeholder="Enter your current password">
                                <?php $__errorArgs = ['current_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="md:text-end">
                                New Password
                            </div>
                            <div class="md:col-span-2">
                                <input type="password" name="new_password" class="w-full rounded-full border border-[#cf000f]  p-2" placeholder="Create a new password">
                                <?php $__errorArgs = ['new_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <div class="text-sm text-red-500"><?php echo e($message); ?></div>
                                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                            </div>
                            <div class="md:text-end">
                                Confirm New Password
                            </div>
                            <div class="md:col-span-2">
                                <input type="password" name="new_password_confirmation" class="w-full rounded-full border border-[#cf000f]  p-2" placeholder="Re-enter your new password">
                            </div>
                        </div>
                        <div>
                            <button type="submit" class="text-white bg-[#cf000f] rounded-full w-1/2 py-2">Save Changes</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/change_password.blade.php ENDPATH**/ ?>