<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="relative">
    <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/homepage/img-banner-header.webp')); ?>" alt="">
    <div class="container relative max-w-screen-xl px-4 mx-auto py-36">
        <div class="grid grid-cols-1 lg:grid-cols-4">
            <div></div>
            <div class="flex flex-col justify-between col-span-3 space-y-20">
                <div class="flex flex-col">
                    <h1 class="text-[#cf000f]">Up to 30% on all pet care products</h1>
                    <h1 class="text-5xl">Discover a Wide Range <br> of Quality Products and <br> Personalized Care</h1>
                </div>
                <div>
                    <a href="<?php echo e(url('/shop')); ?>">
                        <button class="bg-[#cf000f] text-white rounded-full px-8 py-2">Shop Now</button>
                    </a>
                </div>
            </div>
            <div></div>
        </div>
    </div>
</div>

<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <div class="grid grid-cols-1 gap-y-4 lg:gap-12 lg:grid-cols-3">
            <div class="space-y-4">
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-3.webp')); ?>" alt="">
                    <div class="relative px-8 pt-40 pb-12 space-y-8">
                        <h1 class="font-bold text-gray-700">10% off all mobility aids and <br> assistive devices.</h1>
                        <h1 class="text-2xl font-semibold">Enhance Your <br> Independence with <br> Our Discount.</h1>
                        <div><a href="<?php echo e(url('shop')); ?>">
                                <h1 class="text-lg text-white underline">Shop Now</h1>
                            </a></div>

                    </div>
                </div>
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-4.webp')); ?>" alt="">
                    <div class="relative px-8 pt-12 pb-40 space-y-8 lg:pb-80">
                        <h1 class="text-[#cf000f]">20% off all pet food and supplies.</h1>
                        <h1 class="text-xl font-bold">Enjoy a 20% discount on <br> a wide range of pet food, <br> medications, and supplies.</h1>
                        <div>
                            <a href="<?php echo e(url('shop')); ?>">
                                <h1 class="underline text-[#cf000f] font-semibold">Shop Now</h1>
                            </a>
                        </div>


                    </div>
                </div>
            </div>
            <div class="col-span-2 space-y-8">
                <div class="grid grid-cols-1 gap-4 md:grid-cols-2">
                    <div class="relative">
                        <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-2.webp')); ?>" alt="">
                        <div class="relative p-4 space-y-4 text-xs">
                            <h1 class="text-[#cf000f]">Free Shipping on Your Vitamin and Supplement Orders.</h1>
                            <h1 class="text-lg font-bold">Enjoy free shipping on <br> all vitamin and <br> supplement orders <br> over ₱1,000.</h1>
                        </div>
                    </div>
                    <div class="relative">
                        <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-1.webp')); ?>" alt="">
                        <div class="relative p-4 space-y-4 text-xs">
                            <h1 class="text-[#cf000f]">Free Shipping on Your Vitamin and Supplement Orders.</h1>
                            <h1 class="text-lg font-bold">Enjoy free shipping on <br> all vitamin and <br> supplement orders <br> over ₱1,000.</h1>
                        </div>
                    </div>
                </div>
                <hr class="my-2 border-[#cf000f]">
                <div class="grid grid-cols-1 gap-8 text-center md:grid-cols-2 lg:grid-cols-4">
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval1.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Customer Obsession</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval2.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Innovation</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval3.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Integrity</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval4.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Customer Obsession</h1>
                    </div>
                </div>
                <hr class="my-2 border-[#cf000f]">
                <div>
                    <h1 class="text-[#cf000f] font-bold text-2xl">New Products</h1>
                    <p>Diam litora nascetur, nascetur litora porta congue.</p>
                    <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-4 ">
                        <?php $__currentLoopData = $products->take(4)->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $__env->make('layouts.product', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>

        <hr class="my-12 border-gray-400">
        <div>
            <h1 class="text-[#cf000f] font-bold text-2xl">SHOP BY CATEGORY</h1>
            <p>Diam litora nascetur, nascetur litora porta congue.</p>
            <?php echo $__env->make('layouts.category', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>


        <hr class="my-12 border-gray-400">

        <div class="">
            <div class="flex items-center justify-between">
                <h1 class="text-[#cf000f] font-bold text-2xl">FEATURED PRODUCTS</h1>
                <a href="<?php echo e(url('/shop')); ?>">
                    <p class="text-[#cf000f]">View All Products ></p>
                </a>
            </div>

            <div>
                <div class="relative w-full">
                    <div class="relative splide featured-slide-carousel">
                        <div class="splide__track">
                            <ul class="splide__list">

                                <?php $__currentLoopData = $featured_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $featured_product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="splide__slide">
                                    <div class="h-[26rem] hover:shadow-xl hover:bg-white group">
                                        <a href="<?php echo e(url('product_details', $featured_product->id)); ?>">
                                            <div class="flex flex-col">
                                                <img class="object-contain p-4 bg-white h-60" src="<?php echo e(asset($featured_product->images->first()->image)); ?>" alt="">
                                                <div class="px-2">
                                                    <div class="flex items-center justify-between space-y-2">
                                                        <h1 class="text-xs"><?php echo e($featured_product->name); ?></h1>
                                                        <?php if(Auth::check()): ?>
                                                        <form action="<?php echo e(route('wishlist.store', ['product_id' => $featured_product->id, 'customer_id' => Auth::user()->id])); ?>" method="POST">
                                                            <?php echo csrf_field(); ?>
                                                            <button type="submit">
                                                                <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                                            </button>
                                                        </form>
                                                        <?php else: ?>
                                                        <a href="<?php echo e(url('wishlist')); ?>">
                                                            <button type="submit">
                                                                <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="">
                                                            </button>
                                                        </a>
                                                        <?php endif; ?>
                                                    </div>
                                                    <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($featured_product->price, 2)); ?></p>
                                                </div>
                                            </div>
                                        </a>

                                        <!-- Add to Cart Form (hidden until hover) -->
                                        <form action="<?php echo e(route('cart.store')); ?>" method="POST" class="flex flex-col items-center hidden py-2 space-y-2 group-hover:flex">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" name="product_id" value="<?php echo e($featured_product->id); ?>">
                                            <input type="hidden" class="quantity-input" name="quantity" value="1" data-product-id="<?php echo e($featured_product->id); ?>">

                                            <!-- Quantity controls (visible on hover) -->
                                            <div class="flex items-center justify-center space-x-2">
                                                <button type="button" class="quantity-btn border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" data-action="decrement" data-product-id="<?php echo e($featured_product->id); ?>">-</button>
                                                <span class="px-4 quantity-display" data-product-id="<?php echo e($featured_product->id); ?>">1</span>
                                                <button type="button" class="quantity-btn border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" data-action="increment" data-product-id="<?php echo e($featured_product->id); ?>">+</button>
                                            </div>

                                            <!-- Add to Cart Button (visible on hover) -->
                                            <button type="submit" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-6 py-2 text-xs">
                                                Add to Cart<img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt="">
                                            </button>
                                        </form>

                                    </div>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                <script>
                                    document.addEventListener("DOMContentLoaded", function() {
                                        // Attach event listener to the quantity buttons
                                        document.querySelectorAll('.quantity-btn').forEach(button => {
                                            button.addEventListener('click', function(e) {
                                                // Get the product ID and action from the data attributes of the button
                                                const productId = button.getAttribute('data-product-id');
                                                const action = button.getAttribute('data-action');

                                                // Find the input and display elements by product ID
                                                const quantityInput = document.querySelector(`input[data-product-id="${productId}"]`);
                                                const quantityDisplay = document.querySelector(`span[data-product-id="${productId}"]`);

                                                // Get the current quantity value from the input or display element
                                                let currentQuantity = parseInt(quantityInput.value || quantityDisplay.textContent);

                                                // Update the quantity based on the action
                                                if (action === 'increment') {
                                                    currentQuantity += 1;
                                                } else if (action === 'decrement' && currentQuantity > 1) {
                                                    currentQuantity -= 1;
                                                }

                                                // Update the hidden input value and the display span
                                                quantityInput.value = currentQuantity;
                                                quantityDisplay.textContent = currentQuantity;
                                            });
                                        });
                                    });
                                </script>




                            </ul>
                        </div>
                    </div>
                </div>

            </div>
        </div>

    </div>


    <div class="relative">
        <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-5.webp')); ?>" alt="">
        <div class="container relative max-w-screen-xl py-40 mx-auto">
            <div class="flex flex-col justify-between space-y-20">
                <div class="flex flex-col space-y-8">
                    <h1 class="text-5xl font-semibold">Shop Limited Edition</h1>
                    <h1>"20% off on all health supplement products this month."</h1>
                </div>
                <div class="flex flex-row items-center gap-4">
                    <div>
                        <a href="<?php echo e(url('shop')); ?>"> <button class="bg-[#cf000f] text-xs md:text-lg text-white rounded-full px-8 py-2 ">Shop Now</button></a>

                    </div>
                    <div>
                        <a href="<?php echo e(url('about_us')); ?>"> <button class="bg-white text-xs md:text-lg text-[#cf000f] rounded-full px-8 py-2 ">DISCOVER MORE</button></a>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="bg-gray-100">
        <div class="container max-w-screen-xl px-4 py-10 mx-auto space-y-12">
            <div class="text-center">
                <h1 class="text-2xl font-semibold text-[#cf000f]">FROM OUR BLOG</h1>
                <p>Diam litora nascetur, nascetur litora porta congue.</p>
            </div>
            <div class="grid grid-cols-1 gap-8 lg:grid-cols-3">
                <?php $__currentLoopData = $blogs->take(3)->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a href="<?php echo e(url('/blogs_details', $blog->id)); ?>">
                    <div class="space-y-4">
                        <img src="<?php echo e(asset($blog->image)); ?>" alt="">
                        <div>
                            <h1><?php echo e($blog->created_at->format('F d, Y')); ?></h1>
                            <h1 class="text-xl font-bold"><?php echo e($blog->title); ?></h1>
                        </div>
                        <button class="text-[#cf000f] text-sm">Read More</button>
                    </div>
                </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>

    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/welcome.blade.php ENDPATH**/ ?>