<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<!--HTML CODE-->
<div class="relative w-full">
    <div class="swiper default-carousel swiper-container">
        <div class="swiper-wrapper">

            <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($banner->banner_type === 'Home Banner'): ?>
            <div class="swiper-slide">
                <div class="relative">
                    <img class="absolute inset-0 object-cover w-full h-full md:h-[40rem]" src="<?php echo e(asset($banner->image)); ?>" alt="">
                    <div class="container relative max-w-screen-xl px-4 mx-auto py-36">
                        <div class="grid grid-cols-1 lg:grid-cols-4">
                            <div></div>
                            <div class="flex flex-col justify-between col-span-3 space-y-20">
                                <div class="flex flex-col">
                                    <div class="text-[#cf000f]"><?php echo $banner->title; ?></div>
                                    <div class="text-5xl"><?php echo $banner->subtitle; ?></div>
                                </div>
                                <div>
                                    <a href="<?php echo e(url('/shop')); ?>">
                                        <button class="bg-[#cf000f] text-white rounded-full px-8 py-2">Shop Now</button>
                                    </a>
                                </div>
                            </div>
                            <div></div>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </div>

        <div class="swiper-pagination"></div>
    </div>
</div>


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-8 mx-auto">
        <div class="grid grid-cols-1 overflow-hidden gap-y-4 lg:gap-12 lg:grid-cols-3">
            <div data-aos="fade-right"
                data-aos-duration="1500" class="space-y-4">
                <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($banner->banner_type === 'Side Banner'): ?>
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset($banner->image)); ?>" alt="">
                    <div class="relative px-8 pt-40 pb-12 space-y-8">
                        <div class="font-bold text-gray-700"><?php echo $banner->title; ?></div>
                        <div class="text-2xl font-semibold"><?php echo $banner->subtitle; ?></div>
                        <div>
                            <a href="<?php echo e(url('shop')); ?>">
                                <h1 class="text-lg text-white underline">Shop Now</h1>
                            </a>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
            <div data-aos="fade-left"
                data-aos-duration="1500" class="col-span-2 space-y-8">
                <div class="grid grid-cols-1 gap-4 md:grid-cols-2">

                    <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php if($banner->banner_type === 'Upper Banner'): ?>
                    <a href="<?php echo e(url('shop')); ?>">
                        <div class="relative">
                            <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset($banner->image)); ?>" alt="">
                            <div class="relative p-4 space-y-4 text-xs">
                                <h1 class="text-[#cf000f]"><?php echo $banner->title; ?></h1>
                                <h1 class="text-lg font-bold"><?php echo $banner->subtitle; ?></h1>
                            </div>
                        </div>
                    </a>
                    <?php endif; ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <hr class="my-2 border-[#cf000f]">
                <div class="grid grid-cols-1 gap-8 text-center md:grid-cols-2 lg:grid-cols-4">
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval1.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Customer Obsession</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval2.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Innovation</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval3.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Integrity</h1>
                    </div>
                    <div class="border border-[#cf000f] flex items-center flex-col p-4 space-y-4 justify-end">
                        <img src="<?php echo e(asset('images/homepage/icon-coreval4.webp')); ?>" alt="">
                        <h1 class="text-nowrap">Customer Obsession</h1>
                    </div>
                </div>
                <hr class="my-2 border-[#cf000f]">
                <div class="space-y-2">
                    <div>
                        <h1 class="text-[#cf000f] font-bold text-2xl">New Products</h1>
                    </div>
                    <div>
                        <p>Diam litora nascetur, nascetur litora porta congue.</p>
                    </div>
                    <div class="grid grid-cols-1 gap-8 md:grid-cols-2 lg:grid-cols-4">
                        <?php $__currentLoopData = $products->sortByDesc('created_at')->take(4); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php echo $__env->make('layouts.product', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>

        <hr data-aos="fade-up"
            data-aos-duration="1500" class="my-12 border-gray-400">
        <div data-aos="fade-up"
            data-aos-duration="1500">
            <div>
                <h1 class="text-[#cf000f] font-bold text-2xl">SHOP BY CATEGORY</h1>
            </div>
            <div>
                <p>Diam litora nascetur, nascetur litora porta congue.</p>
            </div>
            <div>
                <?php echo $__env->make('layouts.category', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div>
        </div>


        <hr data-aos="fade-up"
            data-aos-duration="1500" class="my-12 border-gray-400">

        <div data-aos="fade-up"
            data-aos-duration="1500" class="">
            <div class="flex items-center justify-between">
                <h1 class="text-[#cf000f] font-bold text-2xl">FEATURED PRODUCTS</h1>
                <a href="<?php echo e(url('/shop')); ?>">
                    <p class="text-[#cf000f]"> All Products </p>
                </a>
            </div>

            <div class="py-2">
                <div class="relative w-full">
                    <div class="relative splide featured-slide-carousel">
                        <div class="splide__track">
                            <div class="splide__list">

                                <?php $__currentLoopData = $featured_products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $featured_product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="splide__slide">
                                    <div class="h-[26rem] hover:shadow-xl hover:bg-white group">

                                        <div class="flex flex-col">
                                            <a href="<?php echo e(url('product_details', $featured_product->id)); ?>">
                                                <img class="object-contain w-full p-4 bg-white h-60" src="<?php echo e($featured_product->images->isNotEmpty() ? asset($featured_product->images->first()->image) : asset('images/homepage/logo-header.webp')); ?>" alt="">
                                            </a>
                                            <div class="p-2">
                                                <div class="flex justify-between ">
                                                    <div>
                                                        <h1 class="inline-block w-full text-sm" style="max-width: 150px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;" title="<?php echo e($featured_product->name); ?>">
                                                            <?php echo e($featured_product->name); ?>

                                                        </h1>
                                                    </div>
                                                    <div class="flex justify-center flex-shrink-0">
                                                        <?php if(Auth::check()): ?>
                                                        <button type="submit" onclick="addToWishlist(<?php echo e($featured_product->id); ?>, <?php echo e(Auth::id()); ?>)" class="focus:outline-none">
                                                            <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                                                        </button>
                                                        <?php else: ?>
                                                        <a href="<?php echo e(url('wishlist')); ?>">
                                                            <button type="button" class="focus:outline-none">
                                                                <img src="<?php echo e(asset('images/homepage/icon-addtowishlist.webp')); ?>" alt="Add to Wishlist">
                                                            </button>
                                                        </a>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                                <p class="font-bold text-[#cf000f]">₱<?php echo e(number_format($featured_product->price, 2)); ?></p>
                                            </div>
                                        </div>


                                        <!-- Add to Cart Form (hidden until hover) -->
                                        <div class="flex flex-col items-center hidden py-2 space-y-2 group-hover:flex">
                                            <input type="hidden" id="featured-product-id-<?php echo e($featured_product->id); ?>" value="<?php echo e($featured_product->id); ?>">
                                            <input type="hidden" name="quantity" id="featured-quantity-<?php echo e($featured_product->id); ?>" value="1">

                                            <!-- Quantity controls -->
                                            <div class="flex items-center justify-center space-x-2">
                                                <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="decrementQuantity2(<?php echo e($featured_product->id); ?>)">-</button>
                                                <span id="quantity-featured-display-<?php echo e($featured_product->id); ?>" class="px-4">1</span>
                                                <button type="button" class="border border-[#cf000f] rounded-full text-[#cf000f] h-8 w-8 bg-white" onclick="incrementQuantity2(<?php echo e($featured_product->id); ?>)">+</button>
                                            </div>

                                            <!-- Add to Cart Button -->
                                            <button type="button" onclick="addToCart2(<?php echo e($featured_product->id); ?>)" class="bg-[#cf000f] text-white flex justify-between items-center rounded-full px-6 py-2 text-xs group-hover:flex">
                                                Add to Cart<img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt="Add to Cart">
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>

                            <script>
                                function incrementQuantity2(productId2) {
                                    const quantityInput2 = document.getElementById(`featured-quantity-${productId2}`);
                                    const quantityDisplay2 = document.getElementById(`quantity-featured-display-${productId2}`);
                                    let quantity2 = parseInt(quantityInput2.value);

                                    quantity2++; // Increment the quantity
                                    quantityInput2.value = quantity2; // Update the hidden input
                                    quantityDisplay2.textContent = quantity2; // Update the displayed quantity
                                }

                                function decrementQuantity2(productId2) {
                                    const quantityInput2 = document.getElementById(`featured-quantity-${productId2}`);
                                    const quantityDisplay2 = document.getElementById(`quantity-featured-display-${productId2}`);
                                    let quantity2 = parseInt(quantityInput2.value);

                                    if (quantity2 > 1) { // Prevent quantity from going below 1
                                        quantity2--; // Decrement the quantity
                                        quantityInput2.value = quantity2; // Update the hidden input
                                        quantityDisplay2.textContent = quantity2; // Update the displayed quantity
                                    }
                                }
                            </script>



                            <div class="absolute left-0 z-50 transform -translate-y-1/2 top-1/2">
                                <div class="flex flex-col items-center justify-center gap-4">
                                    <button id="featured-button-left" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                                        <i class='bx bx-left-arrow-alt'></i>
                                    </button>
                                </div>
                            </div>

                            <!-- Right Arrow -->
                            <div class="absolute right-0 z-50 transform -translate-y-1/2 top-1/2">
                                <button id="featured-button-right" class="bg-[#cf000f]  text-2xl rounded-full h-10 w-10 flex justify-center items-center text-white">
                                    <i class='bx bx-right-arrow-alt'></i>
                                </button>
                            </div>

                        </div>

                    </div>
                </div>

            </div>
        </div>

    </div>


    <div class="relative w-full">
        <div class="swiper default-carousel swiper-container">
            <div class="swiper-wrapper">

                <?php $__currentLoopData = $banners; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $banner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php if($banner->banner_type === 'Middle Banner'): ?>
                <div class="swiper-slide">
                    <div data-aos="fade-up"
                        data-aos-duration="1500" class="relative">
                        <img class="absolute inset-0 object-cover w-full h-full" src="<?php echo e(asset($banner->image)); ?>" alt="">
                        <div class="container relative max-w-screen-xl px-4 py-40 mx-auto">
                            <div class="flex flex-col justify-between space-y-20">
                                <div class="flex flex-col space-y-8">
                                    <h1 class="text-5xl font-semibold"><?php echo $banner->title; ?></h1>
                                    <h1><?php echo $banner->subtitle; ?></h1>
                                </div>
                                <div class="flex flex-row items-center gap-4">
                                    <div>
                                        <a href="<?php echo e(url('shop')); ?>"> <button class="bg-[#cf000f] text-xs md:text-lg text-white rounded-full px-8 py-2 ">Shop Now</button></a>

                                    </div>
                                    <div>
                                        <a href="<?php echo e(url('about_us')); ?>"> <button class="bg-white text-xs md:text-lg text-[#cf000f] rounded-full px-8 py-2 ">DISCOVER MORE</button></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>


    <div data-aos="fade-up"
        data-aos-duration="1500" class="bg-gray-100">
        <div class="container max-w-screen-xl px-4 py-10 mx-auto space-y-12">
            <div class="text-center">
                <h1 class="text-2xl font-semibold text-[#cf000f]">FROM OUR BLOG</h1>
                <p>Diam litora nascetur, nascetur litora porta congue.</p>
            </div>
            <div class="grid grid-cols-1 gap-8 lg:grid-cols-3">
                <?php $__currentLoopData = $blogs->sortByDesc('created_at')->take(3); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <a data-aos="zoom-in" data-aos-duration="1500" href="<?php echo e(url('/blogs_details', $blog->id)); ?>">
                    <div class="space-y-4">
                        <!-- Wrap the image in an aspect ratio container -->
                        <div class="aspect-w-16 aspect-h-9">
                            <img class="w-full h-[20rem] object-cover rounded-lg" src="<?php echo e(asset($blog->image)); ?>" alt="Blog image">
                        </div>
                        <div>
                            <h1><?php echo e($blog->created_at->format('F d, Y')); ?></h1>
                            <h1 class="text-xl font-bold"><?php echo e($blog->title); ?></h1>
                        </div>
                        <button class="text-[#cf000f] text-sm">Read More</button>
                    </div>
                </a>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>

        </div>
    </div>

    <?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\Markeh\Websites\gardose(12-20-2024)\gardose\resources\views/welcome.blade.php ENDPATH**/ ?>