<x-app-layout>
    <div class="container max-w-screen-lg p-6 mx-auto bg-white rounded-lg shadow-lg">
        <h1 class="mb-4 text-2xl font-bold">Create About Us Image</h1>

        <form action="{{ route('about_us_image.store') }}" method="POST" enctype="multipart/form-data">
            @csrf


            <div class="mb-4">
                <label for="image" class="block text-gray-700">About Us Image:</label>
                <input type="file" id="image" name="image"
                    accept="image/webp,image/jpg,image/jpeg,image/png,image/gif"
                    class="w-full p-2 border border-gray-300 rounded">
                @error('image')
                <span class="text-red-500">{{ $message }}</span>
                @enderror
            </div>

            <button type="submit" class="px-12 py-2 text-white bg-black rounded-full">Submit</button>
        </form>
    </div>


</x-app-layout>