<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">My Wishlist</h1>-->
<!--    </div>-->
<!--</div>-->

<div class="bg-gray-100">
    <div class="container max-w-screen-xl py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 lg:grid-cols-3">
            <div class="space-y-4 lg:col-span-2">
                <div class="relative shadow-md sm:rounded-lg">
                    <div class="overflow-auto">
                        <table class="w-full text-sm text-left text-gray-500 rtl:text-right ">
                            <thead class="text-sm text-[#cf000f]  bg-gray-50 ">
                                <tr>
                                    <th scope="col" class="px-6 py-3">

                                    </th>
                                    <th scope="col" class="px-6 py-3 text-center">
                                        Product
                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                        Price
                                    </th>
                                    <th scope="col" class="px-6 py-3 text-nowrap">
                                        Stock Status
                                    </th>
                                    <th scope="col" class="px-6 py-3">

                                    </th>
                                    <th scope="col" class="px-6 py-3">
                                    </th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $wishlist; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $wishlists): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr class="bg-white border-b hover:bg-gray-50 ">
                                    <th scope="row">
                                        <div class="w-40  h-full">
                                                <img class="w-full h-full object-cover p-2" src="<?php echo e(asset($wishlists->product->images->first()->image)); ?>" alt="<?php echo e($wishlists->name); ?>">
                                        </div>
                                    </th>
                                    <th scope="row" class="px-6 py-4 font-medium text-gray-900 ">
                                        <?php echo e($wishlists->product->name); ?>

                                    </th>
                                    <td class="px-6 py-4">
                                        ₱ <?php echo e($wishlists->product->price); ?>

                                    </td>
                                    <td class="px-6 py-4 text-green-400">
                                        <?php echo e($wishlists->product->availability); ?>

                                    </td>
                                    <td class="px-6 py-4">
                                        <form action="<?php echo e(route('cart.store')); ?>" method="POST" class="flex flex-col items-center space-y-2">
                                            <?php echo csrf_field(); ?>
                                            <input type="hidden" name="product_id" value="<?php echo e($wishlists->product->id); ?>">
                                            <input type="hidden" id="quantity-<?php echo e($wishlists->id); ?>" name="quantity" value="1">

                                            <!-- Add to Cart Button -->
                                            <button class="bg-[#cf000f] text-white flex items-center rounded-full px-8 py-2 text-nowrap">Add to Cart <img class="pl-4" src="<?php echo e(asset('images/homepage/icon-addtocart.webp')); ?>" alt=""></button>
                                        </form>

                                    </td>
                                    <td class="px-6 py-4 ">
                                        <form action="<?php echo e(route('wishlist.destroy', $wishlists->id)); ?>" method="POST">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="text-xl font-medium text-black">
                                                <i class='bx bx-x'></i>
                                            </button>
                                        </form>
                                    </td>
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                    <div class="p-4 bg-white">
                        <div class="p-8 text-sm text-gray-500 border-2 border-dashed rounded">
                            Products in your wishlist may go out of stock or change in price. Add them to your cart to secure your purchase.
                        </div>
                    </div>
                </div>

                <div>
                    <a href="<?php echo e(url('shop')); ?>">
                        <button class="px-6 py-2 border border-black rounded-full">Continue Shopping</button>
                    </a>
                </div>
            </div>
            <div class="space-y-8">
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-3.webp')); ?>" alt="">
                    <div class="relative px-8 pt-40 pb-12 space-y-8">
                        <h1 class="font-bold text-gray-700">10% off all mobility aids and <br> assistive devices.</h1>
                        <h1 class="text-2xl font-semibold">Enhance Your <br> Independence with <br> Our Discount.</h1>
                        <div>
                            <a href="<?php echo e(url('shop')); ?>">
                                <h1 class="text-lg text-white underline">Shop Now</h1>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="relative">
                    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/homepage/img-promo-banner-4.webp')); ?>" alt="">
                    <div class="relative px-8 pt-12 space-y-8 pb-60">
                        <button class="bg-[#cf000f] p-2 rounded text-sm text-white">BEST OFFER</button>
                        <div>
                            <h1 class="text-xl font-bold text-[#cf000f]">FREE SHIPPING</h1>
                            <h1 class=" text-md">
                                on Your Child's <br> Essential Vitamins
                            </h1>
                        </div>
                        <div>

                            <a href="<?php echo e(url('shop')); ?>">
                                <h1 class="underline text-[#cf000f] font-semibold">Shop Now</h1>
                            </a>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/wishlist.blade.php ENDPATH**/ ?>