<?php $__currentLoopData = $orders->take(5)->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
<tr class="bg-white border-b hover:bg-gray-50">
    <td class="w-4 p-4">
        #<?php echo e(str_pad($order->id, 6, '0', STR_PAD_LEFT)); ?>

    </td>
    <th scope="row" class="flex items-center px-6 py-4 font-medium text-gray-900 whitespace-nowrap">
        <?php echo e($order->created_at->format('F d, Y')); ?>

    </th>
    <td class="px-6 py-4">
        <?php echo e($order->status); ?>

    </td>
    <td class="px-6 py-4">
        ₱<?php echo e(number_format($order->total, 2)); ?>

    </td>
    <td class="px-6 py-4">
        <!-- No content here -->
    </td>
    <td class="px-6 py-4">
        <a href="#" class="text-sm font-medium text-[#cf000f] view-details"
            data-order-id="<?php echo e($order->id); ?>"
            data-order-status="<?php echo e($order->status); ?>"
            data-order-payment="<?php echo e($order->payment_method); ?>"
            data-order-date="<?php echo e($order->created_at->format('F d, Y')); ?>"
            data-order-total="<?php echo e(number_format($order->total, 2)); ?>"
            data-billing-info="<?php echo e(json_encode($order->billingInformation)); ?>"
            data-order-details="<?php echo e(json_encode($order->orderDetails)); ?>">View Details</a>

    </td>
</tr>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?><?php /**PATH D:\Markeh\Websites\gardose\resources\views/layouts/order_modal.blade.php ENDPATH**/ ?>