<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<form method="POST" action="<?php echo e(route('send.otp')); ?>">
    <?php echo csrf_field(); ?>
    <div class="bg-gray-100">
        <div class="container max-w-screen-md px-4 py-8 mx-auto">
            <h1 class="text-[#cf000f] font-bold text-center pb-8 text-2xl">Forgot Password</h1>
            <?php if($errors->any()): ?>
            <div class="p-4 mb-4 text-white bg-red-500 rounded">
                <ul>
                    <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e($error); ?></li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
            </div>
            <?php endif; ?>
            <div class="flex flex-col justify-between bg-white md:flex-row rounded-3xl">
                <div class="flex flex-col p-8 space-y-2">
                    <h1 class="pb-8 font-bold text-black">Enter your email, and we'll send you a reset code.</h1>
                    <div>
                        <label for="email">Email Address </label>
                        <input type="email" name="email" id="email" class="border border-[#cf000f] w-full rounded-full p-2" placeholder="Enter email">
                    </div>
                    <div>
                        <button type="submit" class="bg-[#cf000f] text-white w-full rounded-full py-2" onclick="toggleModal()">Send OTP</button>
                    </div>
                </div>
                <div>
                    <img class="object-cover w-full h-full rounded-r-2xl" src="<?php echo e(asset('images/shop/img-login.png')); ?>" alt="">
                </div>
            </div>
        </div>
    </div>
</form>



<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/forgot_password.blade.php ENDPATH**/ ?>