<!-- contact_us.blade.php -->


<?php $__env->startSection('title', 'Home'); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('layouts.navbar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<!--<div class="relative">-->
<!--    <img class="absolute inset-0 w-full h-full" src="<?php echo e(asset('images/about_us/img-banner.png')); ?>" alt="">-->
<!--    <div class="relative text-center py-14">-->
<!--        <h1 class="text-xl text-white">Home - Blogs</h1>-->
<!--    </div>-->
<!--</div>-->


<div class="bg-gray-100">
    <div class="container max-w-screen-xl px-4 py-12 mx-auto">
        <div class="grid grid-cols-1 gap-4 lg:grid-cols-3 overflow-hidden">
            <div data-aos="fade-right"
     data-aos-duration="1500">
                <?php echo $__env->make('layouts.blogs_filter', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            </div >
            <div data-aos="fade-left"
     data-aos-duration="1500" class="space-y-4 lg:col-span-2">
                <div class="grid grid-cols-1 gap-8 md:grid-cols-2">
                    <?php $__currentLoopData = $allblogs->sortByDesc('created_at'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <a href="<?php echo e(url('/blogs_details', $blog->id)); ?>">
                        <div class="space-y-4">
                            <img class="w-full h-[20rem] object-cover rounded-lg"  src="<?php echo e(asset($blog->image)); ?>" alt="">
                            <div>
                                <h1><?php echo e($blog->created_at->format('F d, Y')); ?></h1>
                                <h1 class="text-xl font-bold"><?php echo e($blog->title); ?></h1>
                            </div>
                            <button class="text-[#cf000f] text-sm">Read More</button>
                        </div>
                    </a>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <div class="flex items-center justify-end my-4 space-x-8">
                    <div>
                        <?php if($allblogs->onFirstPage()): ?>
                        <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-left'></i></button>
                        <?php else: ?>
                        <a href="<?php echo e($allblogs->previousPageUrl()); ?>">
                            <button id="prev-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-left'></i></button>
                        </a>
                        <?php endif; ?>
                    </div>
                    <div class="flex flex-wrap gap-2">
                        <?php $__currentLoopData = $allblogs->getUrlRange(1, $allblogs->lastPage()); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $page => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <a href="<?php echo e($url); ?>">
                            <button class="w-8 h-8 text-sm bg-white rounded-full <?php echo e($page == $allblogs->currentPage() ? 'bg-red-600 text-white' : ''); ?>">
                                <?php echo e($page); ?>

                            </button>
                        </a>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                    <div>
                        <?php if($allblogs->hasMorePages()): ?>
                        <a href="<?php echo e($allblogs->nextPageUrl()); ?>">
                            <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]"><i class='bx bx-chevron-right'></i></button>
                        </a>
                        <?php else: ?>
                        <button id="next-button" class="w-8 h-8 text-white rounded-full bg-[#cf000f]" disabled><i class='bx bx-chevron-right'></i></button>
                        <?php endif; ?>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>



<?php echo $__env->make('layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.main-app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/rwebserver/public_html/gardose/resources/views/blogs.blade.php ENDPATH**/ ?>